%define  ver     0.54
%define  RELEASE 4
%define  rel     %{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}
%define  prefix  %{_prefix}

Summary: A full-featured spreadsheet for GNOME.
Name: 		gnumeric
Version: 	%ver
Release: 	%rel
Copyright: 	GPL
Group: Applications/Productivity
Source: ftp://ftp.gnome.org/pub/GNOME/sources/gnumeric/gnumeric-%{ver}.tar.gz
Patch0: gnumeric-%{ver}-aixrtl.patch
Url:		http://www.gnome.org/gnumeric
BuildRoot:	/var/tmp/gnumeric-%{PACKAGE_VERSION}-root
Docdir: 	%{prefix}/doc

# These are required by %post
Requires: gtk+ >= 1.2.7
Requires: gnome-libs >= 1.0.0
Requires: gnome-print >= 0.20
Requires: libglade >= 0.13
Requires: libxml >= 1.8.5

%ifarch ia64
  %define stdlib lib/ia64l32
  %define liblink ../../..
%else
  %define stdlib lib
  %define liblink ../..
%endif

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. Gnumeric is a spreadsheet
program for GNOME. 

Install gnumeric if you want to use a spreadsheet program with GNOME.

%prep
%setup -q 
%patch0 -p2 -b .aixrtl

%build
%ifarch alpha
  MYARCH_FLAGS="--host=alpha-redhat-linux"
%endif
CFLAGS="$RPM_OPT_FLAGS" \
LDFLAGS="-Wl,-brtl -lintl" \
./configure --prefix=%prefix $MYARCH_FLAGS --sysconfdir=/etc \
            --without-bonobo --without-gb 

if [ "$SMP" != "" ]; then
	make -j$SMP "MAKE=make -j$SMP"
else
	make
fi

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT/etc install
cd libole2
make prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT/etc install
/usr/bin/strip $RPM_BUILD_ROOT%{prefix}/bin/* 2>/dev/null ||:
/usr/bin/strip $RPM_BUILD_ROOT%{prefix}/lib/*.so.* 2>/dev/null ||:

( cd $RPM_BUILD_ROOT
 for dir in bin include
 do
    mkdir -p usr/$dir
    cd usr/$dir
    ln -sf ../..%{prefix}/$dir/* .
    cd -
 done

 mkdir -p usr/%{stdlib}
 cd usr/%{stdlib}
 ln -sf %{liblink}%{prefix}/lib/* .
)

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Mar 21 2001 Marc Stephenson <marc@austin.ibm.com>
- Rebuild against new shared objects
- Use default compiler

* Thu Feb 15 2001 aixtoolbox <aixtoollbox-l@austin.ibm.com>
- Account for different standard lib location in IA64 32-bit ABI

* Fri Oct 27 2000 pkgmgr <pkgmgr@austin.ibm.com>
- Modify for AIX Freeware distribution

* Tue Feb 15 2000 Jonathan Blandford <jrb@redhat.com>
- Fix up the patch to have the support link point to the right place.

* Mon Feb 14 2000 Matt Wilson <msw@redhat.com>
- built into 6.2 by request of jrb

* Mon Feb  7 2000 Matt Wilson <msw@redhat.com>
- updated to 0.48

* Thu Feb 03 2000 Preston Brown <pbrown@redhat.com>
- strip plugins

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix descriptions
- somebody fix the crap at the beginning of the spec file. It hurts my
  mind...

* Fri Sep 10 1999 Cristian Gafton <gafton@redhat.com>
- remove the Obsoletes: gnumeric line (it is more than moronic, 
  it's plain stupid to have a package obsolete itself!!!)

* Tue Sep 07 1999 Elliot Lee <sopwith@redhat.com>
- Try and do an RH package with gnome-print included.

* Thu Sep 02 1999 Gregory McLean <gregm@comstar.net>
- Added small fix so glade generated dialogs appear.

* Wed Jul 14 1999 Gregory McLean <gregm@comstar.net>
- Added the gnome-print requirement.
- Updated the file list to try and quiet down the updating.
- added the sysconfdir

* Tue Mar 9  1999 Gregory McLean <gregm@comstar.net>
- Updated the spec file.

* Thu Sep 24 1998 Michael Fulbright <msf@redhat.com>
- Version 0.2

%files
%defattr(0555, root, root)

%{prefix}/bin/gnumeric
%{prefix}/lib/gnumeric/%{version}/plugins/*
%{prefix}/lib/libole2.so*
%{prefix}/share/gnumeric
%{prefix}/share/locale/*/*
/usr/bin/*
/usr/%{stdlib}/gnumeric
/usr/%{stdlib}/libole2.so*

%defattr (0444, bin, bin, 0555)
%{prefix}/share/gnome/help/gnumeric
%config %{prefix}/share/gnome/apps/Applications/gnumeric.desktop
%{prefix}/share/pixmaps/*
%{prefix}/share/mime-info/*
%{prefix}/share/mc/templates/*
%{prefix}/share/idl/Gnumeric.idl
%{prefix}/share/libole2
%{prefix}/include/libole2
/usr/include/libole2
%config /etc/CORBA/servers/*

%doc HACKING AUTHORS ChangeLog NEWS README COPYING TODO

